DexterWeather History Report
getHailHistoryReport
Returns hail history report information for the supplied coordinates and date.
Returns hail history report response containing status, code, hail size weather station identifier, and the time of the hail occurrence. The latest data is updated hourly.
Query Parameters
lat*number
The requested latitude.
Format
doublelon*number
The requested longitude.
Format
doublestartDate?string
The requested start date in MM/DD/YYYY format. If no start date is provided, the last three years will be used.
Format
dateunits*string
The requested units: imperial or metric (default is imperial).
Default
"IMPERIAL"Value in
"IMPERIAL" | "METRIC"radius?number
The requested radius (0-5 miles). If radius is provided, returns all results for all locations within the given radius. If no radius is provided, returns all results for the nearest station.
Format
doubleminThreshold?number
The minimum hail size included in results
Default
0.25Format
doubleuserKey*string
The user key.
Response Body
application/json
curl -X GET "https://dexter.atheniumanalytics.com/api/v3/dexter/history/hail?lat=0.1&lon=0.1&units=IMPERIAL&userKey=string"[
{
"stationId": 0,
"peril": 0.1,
"timestamp": "string",
"stormType": "string",
"stormName": "string",
"units": "string"
}
]Empty
Empty
Empty